Bug 214682 - www/luakit: Update to 2012.09.13
Summary: www/luakit: Update to 2012.09.13
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Carlos J. Puga Medina
URL:
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2016-11-20 04:12 UTC by clutton
Modified: 2016-12-23 16:06 UTC (History)
5 users (show)

See Also:


Attachments
full diff (1.45 KB, patch)
2016-11-20 04:12 UTC, clutton
vlad-fbsd: maintainer-approval+
Details | Diff
minor fixes (1.48 KB, patch)
2016-12-17 17:07 UTC, clutton
cpm: maintainer-approval+
Details | Diff
latest (1.46 KB, patch)
2016-12-23 11:46 UTC, clutton
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description clutton 2016-11-20 04:12:18 UTC
Created attachment 177197 [details]
full diff

i) 2012.09.13r1 -> 2012.09.13
ii) s|/usr/share|${LOCALBASE}/share in config/window.lua
iii) git mason-larobina -> luakit
Comment 1 VK freebsd_triage 2016-12-11 17:05:57 UTC
Thanks for the patch. Can you please confirm the changes pass QA (portlint, poudriere)?
Comment 2 VK freebsd_triage 2016-12-11 17:06:23 UTC
Comment on attachment 177197 [details]
full diff

The port has no maintainer, implicit approval.
Comment 3 Jason E. Hale freebsd_committer 2016-12-13 12:53:43 UTC
This would be rolling the version backwards. The 2012.09.13-r1 tag is after the 2012.09.13 tag: https://github.com/luakit/luakit/tags
Comment 4 clutton 2016-12-13 13:11:40 UTC
(In reply to Jason E. Hale from comment #3)

Ouch, indeed. I'll just fix some issues in that release then.
Will update the patch soon.
Comment 5 Carlos J. Puga Medina freebsd_committer 2016-12-17 16:33:15 UTC
Jason,

I'll take care :)
Comment 6 clutton 2016-12-17 17:07:00 UTC
Created attachment 178027 [details]
minor fixes
Comment 7 Carlos J. Puga Medina freebsd_committer 2016-12-20 23:11:58 UTC
clutton,

cc -c common/luaclass.c -o common/luaclass.o
luakit.c:174:9: warning: 'g_thread_init' is deprecated [-Wdeprecated-declarations]
        g_thread_init(NULL);
        ^
/usr/local/include/glib-2.0/glib/deprecated/gthread.h:265:10: note: 'g_thread_init' has been explicitly marked deprecated here
void     g_thread_init                   (gpointer vtable);
         ^
1 warningcc -c clib/timer.c -o clib/timer.o
 generated.

Please, remove deprecated `g_thread_init` which is not longer necessary since version 2.32.

https://github.com/luakit/luakit/commit/0ab977bfd3bf0912c95d3e8991238b9d88639a79
Comment 8 Carlos J. Puga Medina freebsd_committer 2016-12-20 23:13:00 UTC
All build logs are fine on 10.3/i386, 10.3/amd64, 11.0/i386 and 11.0/amd64.
Comment 9 clutton 2016-12-21 12:24:57 UTC
(In reply to Carlos J. Puga Medina from comment #8)

It's not necessary. Just deprecation warning during building, fixing it would change nothing, it's better to stick with mainstream here, they'll remove this call eventually.
Comment 10 Carlos J. Puga Medina freebsd_committer 2016-12-21 12:52:46 UTC
(In reply to clutton from comment #9)

Waiting for mentor approval to commit the update.
Comment 11 Dmitry Marakasov freebsd_committer 2016-12-22 17:21:25 UTC
Approved. You may just drop GH_ACCOUNT, it defaults to PORTNAME.
Comment 12 clutton 2016-12-23 11:46:16 UTC
Created attachment 178217 [details]
latest
Comment 13 clutton 2016-12-23 11:46:46 UTC
Done, didn't know about that default.
Comment 14 commit-hook freebsd_committer 2016-12-23 16:05:32 UTC
A commit references this bug:

Author: cpm
Date: Fri Dec 23 16:04:44 UTC 2016
New revision: 429274
URL: https://svnweb.freebsd.org/changeset/ports/429274

Log:
  www/luakit: minor fixes

  - Drop GH_ACCOUNT
  - Use REINPLACE_CMD in config/window.lua
  - Bump PORTREVISION

  PR:		214682
  Submitted by:	clutton@zoho.com
  Reviewed by:	Vladimir Krstulja, jhale, amdmi3
  Approved by:	amdmi3 (mentor)

Changes:
  head/www/luakit/Makefile
  head/www/luakit/distinfo
Comment 15 Carlos J. Puga Medina freebsd_committer 2016-12-23 16:06:32 UTC
Committed, thanks!